package org.dromara.payment.operator.service;

import org.dromara.payment.operator.domain.BusOperator;
import org.dromara.payment.operator.domain.vo.BusOperatorVo;
import org.dromara.payment.operator.domain.bo.BusOperatorBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 运营商Service接口
 *
 * @author LionLi
 * @date 2024-03-28
 */
public interface IBusOperatorService {

    /**
     * 查询运营商
     */
    BusOperatorVo queryById(Long id);

    /**
     * 查询运营商列表
     */
    TableDataInfo<BusOperatorVo> queryPageList(BusOperatorBo bo, PageQuery pageQuery);

    /**
     * 查询运营商列表
     */
    List<BusOperatorVo> queryList(BusOperatorBo bo);

    /**
     * 新增运营商
     */
    Boolean insertByBo(BusOperatorBo bo);

    /**
     * 修改运营商
     */
    Boolean updateByBo(BusOperatorBo bo);

    /**
     * 校验并批量删除运营商信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
